# operator<<(std::sub_match)

From cppreference.com
< cpp‎ | regex‎ | sub match

template< class CharT, class Traits, class BidirIt > std::basic_ostream<CharT,Traits>& operator<<( std::basic_ostream<CharT,Traits>& os, const sub_match<BidirIt>& m ); |  | (since C++11)

Writes the representation of the matched subsequence `m` to the output stream `os`.

Equivalent to os << m.str().

### Parameters

os | - | output stream to write the representation to
m | - | a sub-match object to output

### Return value

`os`.

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/regex/sub_match/operator_ltlt&oldid=71240"
Category:

- Todo no example